Package org.eclipse.m2m.atl.emftvm

# Enum Class RuleMode

java.lang.Object
java.lang.Enum<RuleMode>
org.eclipse.m2m.atl.emftvm.RuleMode

All Implemented Interfaces:
  `Serializable`, `Comparable<RuleMode>`, `Constable`, `org.eclipse.emf.common.util.Enumerator`

public enum RuleMode extends Enum<RuleMode> implements org.eclipse.emf.common.util.Enumerator
A representation of the literals of the enumeration 'Rule Mode', and utility methods for working with them.

See Also:
  - `EmftvmPackage.getRuleMode()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AUTOMATIC_RECURSIVE`
The 'Automatic Recursive' literal object.
`AUTOMATIC_SINGLE`
The 'Automatic Single' literal object.
`MANUAL`
The 'Manual' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`AUTOMATIC_RECURSIVE_VALUE`
The 'Automatic Recursive' literal value.
`static final int`
`AUTOMATIC_SINGLE_VALUE`
The 'Automatic Single' literal value.
`static final int`
`MANUAL_VALUE`
The 'Manual' literal value.
`static final List<RuleMode>`
`VALUES`
A public read-only list of all the 'Rule Mode' enumerators.

## Method Summary

Modifier and Type
Method
Description
`static RuleMode`
`get(int value)`
Returns the 'Rule Mode' literal with the specified integer value.
`static RuleMode`
`get(String literal)`
Returns the 'Rule Mode' literal with the specified literal value.
`static RuleMode`
`getByName(String name)`
Returns the 'Rule Mode' literal with the specified name.
`String`
`getLiteral()`
Returns the literal string value.
`String`
`getName()`
Returns the literal name.
`int`
`getValue()`
Returns the literal integer value.
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static RuleMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RuleMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MANUAL

public static final RuleMode MANUAL
The 'Manual' literal object.

See Also:
  - `MANUAL_VALUE`

### AUTOMATIC_SINGLE

public static final RuleMode AUTOMATIC_SINGLE
The 'Automatic Single' literal object.

See Also:
  - `AUTOMATIC_SINGLE_VALUE`

### AUTOMATIC_RECURSIVE

public static final RuleMode AUTOMATIC_RECURSIVE
The 'Automatic Recursive' literal object.

See Also:
  - `AUTOMATIC_RECURSIVE_VALUE`

## Field Details

### MANUAL_VALUE

public static final int MANUAL_VALUE
The 'Manual' literal value.

If the meaning of 'Manual' literal object isn't clear, there really should be more of a description here...

See Also:
  - `MANUAL`
  - Constant Field Values

### AUTOMATIC_SINGLE_VALUE

public static final int AUTOMATIC_SINGLE_VALUE
The 'Automatic Single' literal value.

If the meaning of 'Automatic Single' literal object isn't clear, there really should be more of a description here...

See Also:
  - `AUTOMATIC_SINGLE`
  - Constant Field Values

### AUTOMATIC_RECURSIVE_VALUE

public static final int AUTOMATIC_RECURSIVE_VALUE
The 'Automatic Recursive' literal value.

If the meaning of 'Automatic Recursive' literal object isn't clear, there really should be more of a description here...

See Also:
  - `AUTOMATIC_RECURSIVE`
  - Constant Field Values

### VALUES

public static final List<RuleMode> VALUES
A public read-only list of all the 'Rule Mode' enumerators.

## Method Details

### values

public static RuleMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static RuleMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static RuleMode get(String literal)
Returns the 'Rule Mode' literal with the specified literal value.

Parameters:
  `literal` - the literal string value
  `literal` - the literal.
Returns:
  the 'Rule Mode' literal with the specified literal value.

### getByName

public static RuleMode getByName(String name)
Returns the 'Rule Mode' literal with the specified name.

Parameters:
  `name` - the literal name
  `name` - the name.
Returns:
  the 'Rule Mode' literal with the specified name.

### get

public static RuleMode get(int value)
Returns the 'Rule Mode' literal with the specified integer value.

Parameters:
  `value` - the literal integer value
  `value` - the integer value.
Returns:
  the 'Rule Mode' literal with the specified integer value.

### getValue

public int getValue()
Returns the literal integer value.

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`
Returns:
  the literal integer value.

### getName

public String getName()
Returns the literal name.

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`
Returns:
  the literal name.

### getLiteral

public String getLiteral()
Returns the literal string value.

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`
Returns:
  the literal string value.

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<RuleMode>`
Returns:
  the literal value of the enumerator, which is its string representation.